Subject: 23.0.90; rmail not reading email

From: jpff <[email-masked]>
Date: Wed, 4 Feb 2009 14:24:31 +0000

I have just tried to read new mail (g) in rmail mode 
It appeared to lose the mail -- the external mailbox was cleared but
the mail did not appear.  I later found it appended to the last message
but in a format that is neither one nor the other.  It starts as
below....


0, unseen,,
Delivery-date: Wed, 04 Feb 2009 10:27:50 +0000
Date: Wed, 4 Feb 2009 10:27:50 +0000 (GMT)
From: Professor James Davenport <[email-masked]>
To: J P Fitch <[email-masked]>, J A Padget <[email-masked]>, 
    Russell Bradford <[email-masked]>
cc: James Davenport <[email-masked]>
Subject: Blast from the past

I found myself reading, or at leats looking for,

@Article{ McArthuretal1988,
  title = "{Skill-oriented task sequencing in an intelligent tutor for 
basic algebra}",
  author = {McArthur,D. Stasz,C. Hotta,J. and Peter,O. and Burdorf,C.},
  journal = {Instructional Science},
  volume = {17},
  year = {1988},
  pages = {281-307},
  annote = {DOI	10.1007/BF00056218},
  keywords = {EDUC}
}


0, unseen,,
Return-Path: <cyrus@air>
Received: from murder ([unix socket])
	 by air (Cyrus v2.3.8) with LMTPA;
	 Wed, 04 Feb 2009 10:44:59 +0000
etc etc ...........................................

unrmail will not touch it as there are no *** EOOH *** lines.  Looks
liek I need to do a lot of hand editing.

This was working on my other machine.  Only significant different I
can think of it that teh mail is from po:jpff rather than a file

In GNU Emacs 23.0.90.2 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2009-02-04 on xenakis
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  auto-image-file-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f R M A <tab> <return> M-x r m a i l - m o d 
e <return> u k r b l <tab> - <tab> l i s t e d <return> 
C-x k <return> y e s <return> C-x C-f R M A <tab> <return> 
<escape> > <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v <escape> v <escape> v <escape> v <escape> v <escape> 
v C-r m o n e y <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
C-a <escape> SPC <escape> > C-x C-x M-x w r SPC r <return> 
l o s t _ m a i l _ f e b <return> C-w C-x C-s C-x 
k <return> C-x C-f l o s <tab> <return> M-x u n r <tab> 
<tab> <return> l o s t + m <tab> <backspace> <backspace> 
_ <tab> <return> x x . f e b <return> C-x 2 C-x C-f 
M A I L / e x <tab> <backspace> <backspace> <backspace> 
<backspace> c - <tab> _ <tab> <return> n <down-mouse-1> 
<mouse-movement> <mouse-movement> <drag-mouse-1> <help-echo> 
<down-mouse-2> <mouse-2> <help-echo> <down-mouse-1> 
<mouse-1> C-x k <return> C-x o C-x C-s M-x u n r m 
<tab> <return> l o s t <tab> <return> x . <backspace> 
x . f e b <return> C-g M-m C-x k <return> M-x r e p 
o <tab> r t <tab> <return>

Recent messages:
File mode specification error: (error "Aborted")
Mark set
Saving file /bigdisk/jpff/lost_mail_feb...
Wrote /bigdisk/jpff/lost_mail_feb
Writing messages to /bigdisk/jpff/xx.feb...
unrmail: Search failed: "^[*][*][*] EOOH [*][*][*]
"
Quit
Parsing /bigdisk/jpff/.mailrc... done
Making completion list...

==John ffitch